<?php

namespace MotaRaido\Menu\Profile;

use \MotaRaido\Core\View;
use \MotaRaido\Core\Route;

if (!defined('MOTAFW')) 
{
    echo 'This file can only be called via the main index.php file, and not directly';
    exit();
}

Route::add('/editprofile/#user', function($user) use ($query) {
    $view = new View();
    $view->assign('title', 'Edit Profile');
    $view->assign('image', IMG . $user);
    $view->include('header', APPDIR . '/Menu/Header.php');
    
    $usrData = $query->select('user', ['username' => $user]);
    $view->assign('user', $user);
    $view->assign('name', $usrData[0][2]);
    $view->assign('phone', $usrData[0][3]);
    if($usrData[0][4]){
        $view->assign('isDriver', 'checked');
    }

    $view->render(__DIR__ . '/EditProfile.view.php');
});

Route::add('/editprofile/#user/finish', function($user) use ($query) {
    $query->transaction(function() use ($query,$user) {
        $name = $_POST['your-name'];
        $phone = $_POST['phone-number'];
        $isDriver = $_POST['is-driver'];
        $image = $_FILES['image'];
        $driverValue = isset($isDriver) ? 1 : 0;
        header('Location: /profile/' . $user);
        $query->update('user', ['fullname' => $name,'phone' => $phone, 'isDriver' => $driverValue], ['username' => $user]);
        if(!empty($image['name'])){
            $image['name'] = $user;
            $target = $_SERVER['DOCUMENT_ROOT'] . IMG . basename($image['name']);
            if (move_uploaded_file($image['tmp_name'], $target)) {
                echo "File is valid, and was successfully uploaded.\n";
            } else {
                echo 'Failed to upload file\n';
            }
        }
    });
});